Skip to main content
GET
/
subscriptions
/
search
Find subscriptions
curl --request GET \
  --url https://sandbox-api.paynext.com/subscriptions/search \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2025-05-26T10:00:00Z",
      "current_period_end": "<string>",
      "current_period_start": "<string>",
      "customer": {
        "address": {
          "city": "San Francisco",
          "country": "AD",
          "line1": "123 Market Street",
          "line2": "Suite 400",
          "postal_code": "94105",
          "state": "CA"
        },
        "created_at": "2025-05-28T14:00:00Z",
        "email": "alice.johnson@example.com",
        "external_id": "ext_001",
        "full_name": "Alice Johnson",
        "id": "cus_b8d0fe7e-3a7f-4b5f-a68b-d31358b49c3f",
        "metadata": {
          "key": "value"
        },
        "phone": "+1-555-123-4567",
        "updated_at": "2025-05-28T14:05:00Z"
      },
      "id": "sub_123e4567-e89b-12d3-a456-426614174000",
      "metadata": {
        "key": "value"
      },
      "next_billing_date": "2025-06-26T12:00:00Z",
      "past_due": {
        "attempt_count": 2,
        "max_attempts_count": 7
      },
      "plan": {
        "id": "price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
        "interval": "days",
        "interval_count": 1,
        "name": "Pro Plan",
        "price": {
          "amount": 1999,
          "currency": "AED"
        },
        "tax": {
          "collect_tax": "<unknown>"
        },
        "trial_interval": "days",
        "trial_interval_count": 14,
        "trial_price": {
          "amount": 1999,
          "currency": "AED"
        },
        "type": "recurring"
      },
      "status": "trial",
      "updated_at": "2025-05-27T10:00:00Z"
    }
  ],
  "meta": {
    "limit": 100,
    "page": 1,
    "pages": 1,
    "snapshot_at": "2026-01-01T00:00:00Z",
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paynext.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication header of the form api key, where api key is your organization api key.

Headers

X-API-Version
enum<string>

Specifies the version of the API to use

Available options:
1.0.0

Query Parameters

from
string

Start datetime filter (ISO 8601 format)

limit
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000
order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
page
integer
default:1

Page number for paginated results

Required range: x >= 1

Keyword to search across fields

snapshot_at
string

Timestamp of the data snapshot

sort
string
default:created_at

Field to sort by

to
string

End datetime filter (ISO 8601 format)

Response

OK

data
object[]
meta
object